<?php

  include_once("inc/config.class.php");
  include_once("inc/mysql.class.php");

  @session_start();
  setlocale(LC_ALL, "de_DE");
  setlocale(LC_ALL, "German");

  $conf = new Config();
  $db   = new MySQL();
  $db->connect();
  $tb_prefix = $conf->getDbPrefix();
  
  // stylesheet formatierung setzen
  $class_home   = "topmenu";
  $class_search = "topmenu";
  $class_topics = "topmenu";
  $class_import = "topmenu";

  // seite zum include auswaehlen
  if(!$db->is_connected())
  { $_REQUEST['p'] = "dberror";}
  elseif(!isset($_REQUEST['p']))
  { $_REQUEST['p'] = "index";}
  $include_page = $_REQUEST['p'];

  if(!file_exists("pages/".basename($include_page).".inc"))
  { $include_page = "index";}

  // seite includieren + ausgabe zwischenspeichern
  ob_start();
  include_once("pages/".$include_page.".inc");
  $html_content = ob_get_contents();
  ob_end_clean();
  

?>
<html>
<head>
 <title><?php echo $html_title ?> - Spiegel.de Archiv</title>
 <link rel="stylesheet" href="general.css" type="text/css">
<?php if(isset($html_meta)) { echo $html_meta;} ?>
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#B20A15" vlink="#B20A15" alink="#FF0000">

<table border="0" cellspacing="0" cellpadding="0">

<tr>
 <td rowspan="2"><a href="./"><img src="gfx/logo.jpg" width="120" height="61" alt="Logo" border="0"></a></td>
 <td width="10"><img src="gfx/dummy.png" width="1" height="1" alt=""></td>
 <td>
  <table border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr>
   <td width="10">&nbsp;</td>
   <td width="100" align="center" class="<?php echo $class_home ?>">
    <a href="./" class="<?php echo $class_home ?>">Home</a>
   </td>
   <td width="10">&nbsp;</td>
   <td width="100" align="center" class="<?php echo $class_topics ?>">
    <a href="?p=topics" class="<?php echo $class_topics ?>">Topics</a>
   </td>
   <td width="10">&nbsp;</td>
   <td width="100" align="center" class="<?php echo $class_search ?>">
    <a href="?p=search" class="<?php echo $class_search ?>">Suche</a>
   </td>
   <td width="10">&nbsp;</td>
   <td width="100" align="center" class="<?php echo $class_import ?>">
    <a href="?p=import" class="<?php echo $class_import ?>">Import</a>
   </td>
   <td>&nbsp;</td>
  </tr>
  <tr>
   <td colspan="9" class="topmenuHL"><img src="gfx/dummy.png" width="1" height="1" alt=""></td>
  </tr>
  </table>
 </td>
</tr>

<tr>
 <td width="10"><img src="gfx/dummy.png" width="1" height="1" alt=""></td>
 <td class="date">
<?php
  echo strftime ("%A, %d. %B %Y");
?>
 </td>
</tr>

<tr valign="top">
 <td width="100">
<?php
  include("inc/menu.inc");
?>
 </td>
 <td width="10"><img src="gfx/dummy.png" width="1" height="1" alt=""></td>
 <td width="650" class="text" valign="top">
<?php
   echo $html_content;
?>
 </td>
</tr>

<tr>
 <td colspan="3" align="center" class="footer">
  Spiegel.de Archiv v<?php echo $conf->getVer(); ?> - All rights reversed
 </td>
</tr>

</table>

</body>
</html>
