<?php
  include_once("inc/article.class.php");

  // set some std vars
  $html_title   = "Schlagzeilen";
  $class_topics = "topmenuHL";
  
  if(!isset($_REQUEST['d']))
  { $_REQUEST['d'] = 1;}

  if(is_int((int)$_REQUEST['d']))
  { $days_back = $_REQUEST['d'] - 1;}
  else
  { $days_back = 0;}

  // some stuff with day-back-links
  $link_today  = "<a href=\"?p=topics\">Heute</a>";
  $link_3days  = "<a href=\"?p=topics&d=3\">3 Tage</a>";
  $link_7days  = "<a href=\"?p=topics&d=7\">7 Tage</a>";
  $link_14days = "<a href=\"?p=topics&d=14\">14 Tage</a>";
  $link_30days = "<a href=\"?p=topics&d=30\">30 Tage</a>";

  if($days_back == 0)
  { $link_today = "Heute";}
  elseif($days_back == 2)
  { $link_3days = "3 Tage";}
  elseif($days_back == 6)
  { $link_7days = "7 Tage";}
  elseif($days_back == 13)
  { $link_14days = "14 Tage";}
  elseif($days_back == 29)
  { $link_30days = "30 Tage";}
  
  echo <<<EOT
<br>
${link_today} |
${link_3days} |
${link_7days} |
${link_14days} |
${link_30days}
  
EOT;
?>
<br><br>

<?php
  
  // print each day
  for($x=0; $x <= $days_back; $x++)
  {
    $t_min = strtotime("-".$x." day 0:00");
    $t_max = $t_min + 82800;
  
    // print a header
    echo strftime("%A, %d. %B %Y", $t_min)."<hr noshade size=\"1\">\n";
    
    // fetch the articles
    $list = array();
    $db->query("SELECT id
                FROM   ${tb_prefix}news
                WHERE  cdate > ${t_min}
                AND    cdate < ${t_max}
                ORDER BY cdate DESC");

    // cycle thru all articles
    while($row = $db->fetch_array())
    {
      array_push($list, $row['id']);
    }
      
    while($article = array_shift($list)) 
    {
      $o = new Article($article);
      $o->setDbHandle($db);
      
      $cdate = strftime("%H:%M", $o->getTimestamp());
      $title = $o->getColoredTitle("", "black");
      
      echo <<<EOT
  <span class="date">${cdate}</span>
  <a href="?p=article&q={$article}" style="text-decoration:none">${title}</a><br>
EOT;
    }
    echo "<br>\n";
  }
?>